gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A GtkCheckButton places a discrete GtkToggleButton next to a widget.

A GtkCheckButton places a discrete next to a widget, usually a . See for more information about toggle/check buttons.

Gtk.ToggleButton Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  Gtk.CheckButton `` Creates a new CheckButton object with a label to the right of it. The label displayed to the right of the CheckButton. The newely created CheckButton. Creates a new CheckButton object with a label to the right of it
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of CheckButton, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CheckButton, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Constructor
  A new CheckButton
- Constructor
  Constructor
  A string for the label.
  A new CheckButton with a label
- Property
  System.UInt32 The GLib Type for Gtk.CheckButton The GLib TYpe for the Gtk.CheckButton class.